from tinynn.converter import TFLiteConverter
import torch
import torch.nn

class Nnet(torch.nn.Module):
    def __init__(self):
        super().__init__()
        self.gru = torch.nn.GRU(64, 32, batch_first=True)

    def forward(self, a, b):
        x = self.gru(b, a)
        y = torch.cat([x[0]], dim=2)
        return y
    
model = Nnet()
a = torch.randn((1, 1, 32))
b = torch.randn([1, 32, 64])
output = model(a, b)
converter = TFLiteConverter(model, 
                            (a, b), 
                            tflite_path='debug.tflite',   # 105k
                            group_tensors=True,
                            unroll_rnn=True)
converter.convert()

torch.onnx.export(model, (a,b), 'debug.onnx')  # 40k
